# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _ITKRegions

def _swig_setattr(self,class_type,name,value):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    self.__dict__[name] = value

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


import itkIndex
import itkSize
import itkIndex
import itkSize
class itkRegion(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, itkRegion, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, itkRegion, name)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C itk::Region instance at %s>" % (self.this,)
    def GetNameOfClass(*args): return _ITKRegions.itkRegion_GetNameOfClass(*args)
    def GetRegionType(*args): return _ITKRegions.itkRegion_GetRegionType(*args)
    def Print(*args): return _ITKRegions.itkRegion_Print(*args)
    def __del__(self, destroy=_ITKRegions.delete_itkRegion):
        try:
            if self.thisown: destroy(self)
        except: pass

class itkRegionPtr(itkRegion):
    def __init__(self, this):
        _swig_setattr(self, itkRegion, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, itkRegion, 'thisown', 0)
        _swig_setattr(self, itkRegion,self.__class__,itkRegion)
_ITKRegions.itkRegion_swigregister(itkRegionPtr)

class itkMeshRegion(itkRegion):
    __swig_setmethods__ = {}
    for _s in [itkRegion]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, itkMeshRegion, name, value)
    __swig_getmethods__ = {}
    for _s in [itkRegion]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, itkMeshRegion, name)
    def __repr__(self):
        return "<C itk::MeshRegion instance at %s>" % (self.this,)
    def GetNameOfClass(*args): return _ITKRegions.itkMeshRegion_GetNameOfClass(*args)
    def GetNumberOfRegions(*args): return _ITKRegions.itkMeshRegion_GetNumberOfRegions(*args)
    def GetRegion(*args): return _ITKRegions.itkMeshRegion_GetRegion(*args)
    def GetRegionType(*args): return _ITKRegions.itkMeshRegion_GetRegionType(*args)
    def __init__(self, *args):
        _swig_setattr(self, itkMeshRegion, 'this', _ITKRegions.new_itkMeshRegion(*args))
        _swig_setattr(self, itkMeshRegion, 'thisown', 1)
    def SetNumberOfRegions(*args): return _ITKRegions.itkMeshRegion_SetNumberOfRegions(*args)
    def SetRegion(*args): return _ITKRegions.itkMeshRegion_SetRegion(*args)
    def __del__(self, destroy=_ITKRegions.delete_itkMeshRegion):
        try:
            if self.thisown: destroy(self)
        except: pass

class itkMeshRegionPtr(itkMeshRegion):
    def __init__(self, this):
        _swig_setattr(self, itkMeshRegion, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, itkMeshRegion, 'thisown', 0)
        _swig_setattr(self, itkMeshRegion,self.__class__,itkMeshRegion)
_ITKRegions.itkMeshRegion_swigregister(itkMeshRegionPtr)

class itkImageRegion2(itkRegion):
    __swig_setmethods__ = {}
    for _s in [itkRegion]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, itkImageRegion2, name, value)
    __swig_getmethods__ = {}
    for _s in [itkRegion]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, itkImageRegion2, name)
    def __repr__(self):
        return "<C itk::ImageRegion<(2u)> instance at %s>" % (self.this,)
    def Crop(*args): return _ITKRegions.itkImageRegion2_Crop(*args)
    __swig_getmethods__["GetImageDimension"] = lambda x: _ITKRegions.itkImageRegion2_GetImageDimension
    if _newclass:GetImageDimension = staticmethod(_ITKRegions.itkImageRegion2_GetImageDimension)
    def GetIndex(*args): return _ITKRegions.itkImageRegion2_GetIndex(*args)
    def GetNameOfClass(*args): return _ITKRegions.itkImageRegion2_GetNameOfClass(*args)
    def GetNumberOfPixels(*args): return _ITKRegions.itkImageRegion2_GetNumberOfPixels(*args)
    def GetRegionType(*args): return _ITKRegions.itkImageRegion2_GetRegionType(*args)
    def GetSize(*args): return _ITKRegions.itkImageRegion2_GetSize(*args)
    def __init__(self, *args):
        _swig_setattr(self, itkImageRegion2, 'this', _ITKRegions.new_itkImageRegion2(*args))
        _swig_setattr(self, itkImageRegion2, 'thisown', 1)
    def IsInside(*args): return _ITKRegions.itkImageRegion2_IsInside(*args)
    def PadByRadius(*args): return _ITKRegions.itkImageRegion2_PadByRadius(*args)
    def SetIndex(*args): return _ITKRegions.itkImageRegion2_SetIndex(*args)
    def SetSize(*args): return _ITKRegions.itkImageRegion2_SetSize(*args)
    def Slice(*args): return _ITKRegions.itkImageRegion2_Slice(*args)
    def __del__(self, destroy=_ITKRegions.delete_itkImageRegion2):
        try:
            if self.thisown: destroy(self)
        except: pass

class itkImageRegion2Ptr(itkImageRegion2):
    def __init__(self, this):
        _swig_setattr(self, itkImageRegion2, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, itkImageRegion2, 'thisown', 0)
        _swig_setattr(self, itkImageRegion2,self.__class__,itkImageRegion2)
_ITKRegions.itkImageRegion2_swigregister(itkImageRegion2Ptr)

itkImageRegion2_GetImageDimension = _ITKRegions.itkImageRegion2_GetImageDimension

class itkImageRegion3(itkRegion):
    __swig_setmethods__ = {}
    for _s in [itkRegion]: __swig_setmethods__.update(_s.__swig_setmethods__)
    __setattr__ = lambda self, name, value: _swig_setattr(self, itkImageRegion3, name, value)
    __swig_getmethods__ = {}
    for _s in [itkRegion]: __swig_getmethods__.update(_s.__swig_getmethods__)
    __getattr__ = lambda self, name: _swig_getattr(self, itkImageRegion3, name)
    def __repr__(self):
        return "<C itk::ImageRegion<(3u)> instance at %s>" % (self.this,)
    def Crop(*args): return _ITKRegions.itkImageRegion3_Crop(*args)
    __swig_getmethods__["GetImageDimension"] = lambda x: _ITKRegions.itkImageRegion3_GetImageDimension
    if _newclass:GetImageDimension = staticmethod(_ITKRegions.itkImageRegion3_GetImageDimension)
    def GetIndex(*args): return _ITKRegions.itkImageRegion3_GetIndex(*args)
    def GetNameOfClass(*args): return _ITKRegions.itkImageRegion3_GetNameOfClass(*args)
    def GetNumberOfPixels(*args): return _ITKRegions.itkImageRegion3_GetNumberOfPixels(*args)
    def GetRegionType(*args): return _ITKRegions.itkImageRegion3_GetRegionType(*args)
    def GetSize(*args): return _ITKRegions.itkImageRegion3_GetSize(*args)
    def __init__(self, *args):
        _swig_setattr(self, itkImageRegion3, 'this', _ITKRegions.new_itkImageRegion3(*args))
        _swig_setattr(self, itkImageRegion3, 'thisown', 1)
    def IsInside(*args): return _ITKRegions.itkImageRegion3_IsInside(*args)
    def PadByRadius(*args): return _ITKRegions.itkImageRegion3_PadByRadius(*args)
    def SetIndex(*args): return _ITKRegions.itkImageRegion3_SetIndex(*args)
    def SetSize(*args): return _ITKRegions.itkImageRegion3_SetSize(*args)
    def Slice(*args): return _ITKRegions.itkImageRegion3_Slice(*args)
    def __del__(self, destroy=_ITKRegions.delete_itkImageRegion3):
        try:
            if self.thisown: destroy(self)
        except: pass

class itkImageRegion3Ptr(itkImageRegion3):
    def __init__(self, this):
        _swig_setattr(self, itkImageRegion3, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, itkImageRegion3, 'thisown', 0)
        _swig_setattr(self, itkImageRegion3,self.__class__,itkImageRegion3)
_ITKRegions.itkImageRegion3_swigregister(itkImageRegion3Ptr)

itkImageRegion3_GetImageDimension = _ITKRegions.itkImageRegion3_GetImageDimension


